- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_client_t

# mongoc_client_get_database()

## Synopsis

    mongoc_database_t *
    mongoc_client_get_database (mongoc_client_t *client, const char *name);

Get a newly allocated mongoc_database_t for the database named `name`.

Tip

Databases are automatically created on the MongoDB server upon insertion of the first document into a collection. There is no need to create a database manually.

## Parameters

- `client`: A mongoc_client_t.
- `name`: The name of the database.

## Returns

A newly allocated mongoc_database_t that should be freed with mongoc_database_destroy() when no longer in use.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.